;;;; package.lisp

(defpackage #:seanut
  (:use #:cl #:with-user-abort)
  (:local-nicknames (:jzon :com.inuoe.jzon))

  (:import-from :alexandria
   :alist-hash-table)
  (:import-from :quri
   :url-encode
   :url-decode)
  (:import-from :babel
   :string-to-octets)
  (:import-from :ironclad
   :digest-sequence)
  (:import-from :unix-opts
   :get-opts
   :define-opts)
  (:import-from :com.inuoe.jzon
   :parse))

(in-package :seanut)

(defparameter *authorization-format*
  "MediaBrowser Client=\"~A\", Device=\"~A\", DeviceId=\"~A\", Version=\"~A\", Token=\"~A\"")

(defparameter *command-line-brief*
  "Supported media types: ~{~A~^, ~}")

(defparameter *valid-media-types*
  '("Book" "BoxSet" "Movie" "MusicAlbum" "MusicArtist" 
    "MusicGenre" "Playlist" "Season" "Series"))
